/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var queueIds = ko.observableArray([]),
        completedIds = ko.observableArray([]),
        cancelBulkTransfer = ko.observable(false),
        isCronRunning = ko.observable(false),
        cancelRequest = ko.observable(null);

    return {
        queueIds: queueIds,
        completedIds: completedIds,
        cancelBulkTransfer: cancelBulkTransfer,
        isCronRunning: isCronRunning,
        cancelRequest: cancelRequest
    };
});
